<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<!-- RESPONSE VIEW -->
	
	<gri:panel rendered="#{resp != null}">
		<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ResponseContent']}</f:facet>
		<s:decorate template="/layout/display/_display.xhtml">
			<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ResponseStatus']}</ui:define>
			<h:outputText
				value="#{adhocQueryResponseParser.getMessageResponse(resp)}" />
		</s:decorate>
		<br />
		<s:div
			rendered="#{(resp.getRegistryObjectList() != null) and (resp.getRegistryObjectList().getExtrinsicObject().size() != 0)}">
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.Documents']}" />
			<a4j:repeat
				value="#{adhocQueryResponseParser.extractListDocument(resp)}"
				var="doc">
				<hr />
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PatientId']}</ui:define>
					<h:outputText value="#{doc.patientId}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Title']}</ui:define>
					<h:outputText value="#{doc.title}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.CreationTime']}</ui:define>
					<h:outputText value="#{doc.creationTime}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Status']}</ui:define>
					<h:outputText value="#{doc.status}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.CreationTime']}</ui:define>
					<h:outputText value="#{doc.creationTime}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HomeCommunityId_2']}</ui:define>
					<h:outputText value="#{doc.homeCommunityId}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RepositoryUniqueId_2']}</ui:define>
					<h:outputText value="#{doc.repositoryUniqueId}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.DocumentUniqueId']}</ui:define>
					<h:outputText value="#{doc.documentUniqueId}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MimeType']}</ui:define>
					<h:outputText value="#{doc.mimeType}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.URI']}</ui:define>
					<h:outputLink value="#{doc.uri}" target="_blank">
						<h:outputText value="#{doc.uri}" />
					</h:outputLink>
				</s:decorate>
			</a4j:repeat>
		</s:div>
		<s:div
			rendered="#{(resp.getRegistryObjectList() == null) or (resp.getRegistryObjectList().getExtrinsicObject().size() == 0)}">
			<s:div
				rendered="#{(resp.registryObjectList != null) and (resp.registryObjectList.getObjectRef().size() != 0)}">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.FoundDocuments']}" />
				<rich:list value="#{resp.registryObjectList.objectRef}" var="objref"
					type="unordered">
					<h:outputText value="#{objref.id}" />
				</rich:list>
			</s:div>
			<s:div
				rendered="#{(resp.registryObjectList == null) or (resp.registryObjectList.getObjectRef().size() == 0)}">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.NoRelatedDocumentsWereFound']}" />
			</s:div>
		</s:div>
	</gri:panel>
</ui:composition>
